//
//  RequestLocationView.swift
//  Sailassist
//
//  Created by 三浦薫巳 on 2023/11/13.
//

import SwiftUI

struct RequestLocationView: View {
    @EnvironmentObject var locationViewModel: LocationViewModel

    var body: some View {
        Button(action: {
            locationViewModel.requestPermission()
        }) {
            Text("Allow use of location information.")
        }
    }
}

struct RequestLocationView_Previews: PreviewProvider {
    static var previews: some View {
        RequestLocationView().environmentObject(LocationViewModel())
    }
}
